\begin{circuitikz}
\tikzstyle{every node}=[font=\normalsize]
\draw [, line width=1pt ] (17,21.75) rectangle (21,25.75);
\draw [, line width=1pt , dashed] (18.5,23) rectangle  (22.25,27);
%\draw [line width=1pt, short] (17,25.75) .. controls (17.75,26.25) and (17.75,26.25) .. (18.5,27);
\draw [line width=1pt] (17,25.75) -- (18.5,27);
%\draw [line width=1pt, short] (18.5,27) .. controls (20.5,27) and (20.5,27) .. (22.25,27);
\draw [line width=1pt] (18.5,27) -- (22.25,27);
%\draw [line width=1pt, short] (22.25,27) .. controls (22.25,25) and (22.25,25) .. (22.25,23);
\draw [line width=1pt] (22.25,27) -- (22.25,23);
%\draw [line width=1pt, short] (21,21.75) .. controls (21.75,22.25) and (21.75,22.25) .. (22.25,23);
\draw [line width=1pt] (21,21.75) -- (22.25,23);
%\draw [line width=1pt, short] (21,25.75) .. controls (21.75,26.25) and (21.75,26.25) .. (22.25,27);
\draw [line width=1pt] (21,25.75) -- (22.25,27);
\draw [line width=1pt, dashed] (17,21.75) -- (18.5,23);
\node [font=\Large] at (19.30,22.35) {\textit{bottom}};
\node [font=\Large] at (19.30,26.30) {\textit{top}};
\node [font=\Large, color={rgb,255:red,0; green,0; blue,255}] at (18.5,23.45) {left\_bottom\_back};
\node [font=\Large, color={rgb,255:red,0; green,0; blue,255}] at (17,21.2) {left\_bottom\_front};
\draw [  color={rgb,255:red,136; green,138; blue,133}, line width=1pt, -Stealth] (22.25,21.75) -- (22.25,22.5);
\draw [  color={rgb,255:red,136; green,138; blue,133}, line width=1pt, -Stealth] (22.25,21.75) -- (23,21.75);
\draw [  color={rgb,255:red,136; green,138; blue,133}, line width=1pt, -Stealth] (22.25,21.75) -- (22.75,22.25);
\node [font=\normalsize, color={rgb,255:red,136; green,138; blue,133}] at (23,21.5) {x};
\node [font=\normalsize, color={rgb,255:red,136; green,138; blue,133}] at (22,22.25) {y};
\node [font=\normalsize, color={rgb,255:red,136; green,138; blue,133}] at (23,22.25) {z};
\draw [ color={rgb,255:red,0; green,0; blue,255} , fill={rgb,255:red,0; green,0; blue,255}, line width=1pt ] (17,21.75) circle (0.25cm);
\draw [ color={rgb,255:red,0; green,0; blue,255} , fill={rgb,255:red,0; green,0; blue,255}, line width=1pt ] (18.5,23) circle (0.25cm);
\draw [ color={rgb,255:red,0; green,0; blue,255} , fill={rgb,255:red,0; green,0; blue,255}, line width=1pt ] (18.5,23) circle (0.25cm);
\draw [ color={rgb,255:red,0; green,0; blue,255} , fill={rgb,255:red,0; green,0; blue,255}, line width=1pt ] (18.5,23) circle (0.25cm);
\draw [ color={rgb,255:red,0; green,0; blue,255} , fill={rgb,255:red,0; green,0; blue,255}, line width=1pt ] (18.5,23) circle (0.25cm);
\draw [ color={rgb,255:red,0; green,0; blue,255} , fill={rgb,255:red,0; green,0; blue,255}, line width=1pt ] (18.5,23) circle (0.25cm);
\draw [ color={rgb,255:red,0; green,0; blue,255} , fill={rgb,255:red,0; green,0; blue,255}, line width=1pt ] (18.5,23) circle (0.25cm);
\draw [Stealth-Stealth] (22.5,23) -- (22.5,27);
\draw [ line width=1.1pt, -Stealth] (20,26.25) -- (20,28);
\draw [ line width=1.1pt, -Stealth] (20,26.25) -- (21.5,26.25);
\node [font=\Large] at (20.2,27.5) {$F_y$};
\node [font=\Large] at (21.25,26.60) {$F_x$};
\node [font=\Large] at (23.,24.8) {$L$};
\end{circuitikz}